#include <list>
///A point,parse options: singleLine fieldName:deny as this struct is simple
class EPoint
{
  public:
    float x;
    float y;
};
inline std::ostream& operator <<(std::ostream& o, const EPoint &ep)
{
  return o << ep.x << ' ' << ep.y;
}
///Class describing an algorithm
class Algorithm
{
  public:
    std::string name;
    bool needsReloading; ///< Reload the module after each run?
    std::string extraParameters; ///< extra parameters to pass, optional
};
inline std::ostream& operator <<(std::ostream&o, const Algorithm &a)
{
  return o << '{' << a.name <<' '<<a.needsReloading <<' '<<a.extraParameters<<'}';
}

class Experiment
{
  public:
    ///name of the experiment
    std::string name;
    /// starting point
    EPoint startingPoint;
    /// algorithm to use
    Algorithm algorithm;
    ///optional: frame numbers for which to log
    std::list<int> logFrame;
};
inline std::ostream& operator <<(std::ostream&o, const Experiment& e)
{
  return o << '{' << e.name <<' ' <<e.startingPoint <<' ' <<e.algorithm
   <<' ' << e.logFrame << '}';
}
