#include <vector>
#include <list>
#include <fstream>
#include <boost/foreach.hpp>
#define LEFTSHIFT_OPERATOR(a)
#include <fsfc/fsfc.hh>

template<class T> std::ostream & operator << (std::ostream &o,
  const std::list<T> &v)
{
  o << '[';
  BOOST_FOREACH(const T & t, v)
    o << t<<' ';
  return o << ']';
};

template<class T> std::ostream & operator << (std::ostream &o,
  const std::vector<T> &v)
{
  o << '[';
  for (unsigned int i=0; i<v.size(); i++)
    o << v[i] <<' ';
  return o << ']';
};



#include "fsfc_output.hh"
#define MANAGE(type) \
if (std::string(argv[1]) == #type) {\
  type v; \
  fsfc::StructDesc * m = CREATEDESC(type,&v);  \
  m->fillStruct(ifs); \
  std::cout << v << std::endl; \
}


int main(int argc, const char * argv[])
{
  if (argc != 3)
    return 1;
  std::ifstream ifs;
  ifs.open(argv[2], std::ios::in);
  if (!ifs.good())
    return 2;
  try {
    #include "structs/manage.h"
    std::string s;
    s.clear();
    ifs >> s;
    if (!s.empty() && s!="#!")
      std::cout << "extra data at end of file: "<<s<<std::endl;
  }
  catch(fsfc::ParseException s)
  {
    std::cout <<"exception "<<s.what()<<std::endl;
  }
  catch(std::string s)
  {
    std::cout <<"string exception "<<s<<std::endl;
  }
}
